%define upstream_name 	 XML-DT
%define upstream_version 0.62

%define req_xml_libxml_version %perl_convert_version 1.54

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A perl XML down translate module
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(LWP::Simple) >= 1.350.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(XML::DTDParser) >= 2.0.0
BuildRequires: perl(XML::LibXML) >= 1.540.0
BuildRequires: perl(parent)
BuildArch:  noarch

Requires:   perl-XML-LibXML >= %{req_xml_libxml_version}
%description
The XML::DT module is a perl module that does XML down translation.
Based on XML::LibXML, it is designed to perform simple and
compact translation/processing of XML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 755 examples/*.pl
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
XML::LibXML
EOF
%make

%check
rm -f t/pod.t
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/XML

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.620.0-2.mga3
+ Revision: 374969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.620.0-1.mga3
+ Revision: 267526
- update to 0.62

* Sat Jun 09 2012 jquelin <jquelin> 0.590.0-1.mga3
+ Revision: 258884
- update to 0.59

* Tue Jun 05 2012 jquelin <jquelin> 0.580.0-1.mga3
+ Revision: 255816
- update to 0.58
- remove bogus authoring test

* Sat Feb 26 2011 jquelin <jquelin> 0.560.0-1.mga1
+ Revision: 60410
- update to 0.56

* Sun Jan 23 2011 jquelin <jquelin> 0.540.0-1.mga1
+ Revision: 34473
- mageia rebuild
- imported package perl-XML-DT

